% daire calistir

% 0,0 r=50        calistiktan sonra 50,0 noktasında başlayıp 50,0 noktasında oluyor.
% 50,0 'dan 35,0 'a gitmesi gerekiyor. 
% 30,30 r=5     35,30 başlar. 35,30 'da biter.
clear all;clc;
step = 25;
pz_angles = [ 120 0 0 0 ];

rows = [];
[h,x,y ] = daire([0,0],125,step*3,':'); x=x';y=y';
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

clear x;clear y;

x = linspace( 50, 35, step )';y = linspace(  0, 30, step )' ;
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

[h,x,y ] = daire([30,30],5,step,':'); x=x';y=y';
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

x = linspace( 35, 35, step )';y = linspace(  30, -30, step )' ;
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

[h,x,y ] = daire([30,-30],5,step,':'); x=x';y=y';
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

[h,x,y ] = daire([-30,-30],5,step,':'); x=x';y=y';
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

[h,x,y ] = daire([-30,30],5,step,':'); x=x';y=y';
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

[h,x,y ] = daire([-100,100],50,step,':'); x=x';y=y';
rows = [ rows ;  x, y , ones(length(x),1)*pz_angles ];

xlswrite('trajectory_file2.xlsx', rows  ) ;



trajectory_path= getappdata(0, 'trajectory_path'  );
trajectory_angles = getappdata(0, 'trajectory_angles' );
trajectory_leg_length = getappdata(0, 'trajectory_leg_length'  );
NonReachable_path = getappdata( 0 , 'NonReachable_path' ) ;

